# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    result = False

    wget(
        "http://srvtemplates.ad.tranquil.it/binary_cache/AdobeAIRInstaller.exe",
        "AdobeAIRInstaller.exe",
        sha256="6718308e10a45176155d0ecc8458bd3606308925b91f26a7d08c148cf52c9db3",
    )

    version = get_file_properties("AdobeAIRInstaller.exe")["FileVersion"]

    # Changing version of the package
    if Version(version) > Version(control.get_software_version()):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        result = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.version = "%s-%s" % (Version(version), control.version.split("-", 1)[-1])
    # control.set_software_version(version)
    control.save_control_to_wapt()
