# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    install_exe_if_needed("AdobeAIRInstaller.exe", silentflags="-silent", key="Adobe AIR", min_version=control.get_software_version())
    uninstallkey.remove("Adobe AIR")
    mkdirs(makepath(programfiles, "wapt-files"))
    filecopyto("AdobeAIRInstaller.exe", makepath(programfiles, "wapt-files"))


def uninstall():
    uninstaller_dir = makepath(programfiles, "wapt-files")
    uninstaller_path = makepath(uninstaller_dir, "AdobeAIRInstaller.exe")
    run('"%s" -uninstall' % uninstaller_path)
    if isfile(uninstaller_path):
        remove_file(uninstaller_path)
    if isdir(uninstaller_dir) and dir_is_empty(uninstaller_dir):
        remove_tree(uninstaller_dir)
